%define upstream_name	 Text-RecordParser
%define upstream_version 1.6.5

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 7

Summary:	Read record-oriented files
License:	GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Class::Accessor)
BuildRequires:	perl(inc::Module::Install)
BuildRequires:	perl(IO::Scalar)
BuildRequires:	perl(List::MoreUtils)
BuildRequires:	perl(List::Util)
BuildRequires:	perl(Pod::Markdown)
BuildRequires:	perl(Pod::Readme)
BuildRequires:	perl(Readonly)
BuildRequires:	perl(Test::Exception)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(version)

BuildArch:	noarch


%description
This module is for reading record-oriented data in a delimited text
file. The most common example have records separated by newlines and
fields separated by commas or tabs, but this module aims to provide a
consistent interface for handling sequential records in a file however
they may be delimited. Typically this data lists the fields in the
first line of the file, in which case you should call bind_header to
bind the field name (or not, and it will be called implicitly). If the
first line contains data, you can still bind your own field names via
bind_fields. Either way, you can then use many methods to get at the
data as arrays or hashes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes README META.yml
%{_bindir}/tab*
%{perl_vendorlib}/Text
%{_mandir}/man*/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.6.5-7.mga8
+ Revision: 1506756
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.6.5-6.mga7
+ Revision: 1286979
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.6.5-5.mga7
+ Revision: 1166992
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 1.6.5-4.mga7
+ Revision: 1159424
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 1.6.5-3.mga6
+ Revision: 1035087
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.6.5-2.mga6
+ Revision: 967703
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 1.6.5-1.mga6
+ Revision: 850103
- update to 1.6.5

* Sat Oct 18 2014 umeabot <umeabot> 1.6.3-5.mga5
+ Revision: 788243
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.6.3-4.mga5
+ Revision: 749984
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.3-3.mga5
+ Revision: 686646
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.6.3-2.mga4
+ Revision: 531863
- Mageia 4 Mass Rebuild

* Mon Aug 12 2013 sander85 <sander85> 1.6.3-1.mga4
+ Revision: 465679
- update to v1.6.3

* Sun Jan 13 2013 umeabot <umeabot> 1.5.0-2.mga3
+ Revision: 374145
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.5.0-1.mga1
+ Revision: 32486
- mageia rebuild
- imported package perl-Text-RecordParser

